Subject: Re: [net-next 03/14] net/mlx5e: Expose rx_oversize_pkts_buffer counter

From: Jakub Kicinski <[email-masked]>
Date: Mon, 18 Jul 2022 20:25:04 -0700

On Sun, 17 Jul 2022 14:33:41 -0700 Saeed Mahameed wrote:
> From: Gal Pressman <[email-masked]>
> 
> Add the rx_oversize_pkts_buffer counter to ethtool statistics.
> This counter exposes the number of dropped received packets due to
> length which arrived to RQ and exceed software buffer size allocated by
> the device for incoming traffic. It might imply that the device MTU is
> larger than the software buffers size.

Is it counted towards any of the existing stats as well? It needs 
to end up in struct rtnl_link_stats64::rx_length_errors somehow.

On ethtool side - are you not counting this towards FrameTooLongErrors
because it's not dropped in the MAC? Can we count it as RMON's
oversize_pkts?